Bug 90275 - [EFL] [WK2] Remove content sniffer and decoder initialization from WebProcess
Summary: [EFL] [WK2] Remove content sniffer and decoder initialization from WebProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-29 05:21 PDT by Sudarsana Nagineni (babu)
Modified: 2012-07-02 08:59 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.42 KB, patch)
2012-06-29 05:57 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-06-29 05:21:53 PDT
We don't need to initialise content sniffer and decoder in WebProcess because the initialization is now done in WebCore (soup session feature initialization moved from Webprocess to WebCore in r107973).
Comment 1 Sudarsana Nagineni (babu) 2012-06-29 05:57:10 PDT
Created attachment 150160 [details]
Patch
Comment 2 Gyuyoung Kim 2012-07-01 22:25:56 PDT
Comment on attachment 150160 [details]
Patch

Informal rs+ on my side.
Comment 3 Ryuan Choi 2012-07-01 22:28:24 PDT
LGTM.

ResourceHandleSoup.cpp initialize them.
Comment 4 WebKit Review Bot 2012-07-02 08:59:50 PDT
Comment on attachment 150160 [details]
Patch

Clearing flags on attachment: 150160

Committed r121682: <http://trac.webkit.org/changeset/121682>
Comment 5 WebKit Review Bot 2012-07-02 08:59:55 PDT
All reviewed patches have been landed.  Closing bug.